import request from '@/utils/request'

export function add(data) {
  return request({
    url: 'api/item',
    method: 'post',
    data
  })
}

export function del(ids) {
  return request({
    url: 'api/item/',
    method: 'delete',
    data: ids
  })
}

export function edit(data) {
  return request({
    url: 'api/item',
    method: 'put',
    data
  })
}

export function queryItemAll(data) {
  return request({
    url: 'api/item/queryItemAll',
    method: 'get',
    params: data
  })
}

export default { add, edit, del, queryItemAll }
